declare filename "hyperbolic_tangent_saturator.dsp"; declare name "hyperbolic_tangent_saturator"; // hyperbolic tangent saturator

ba = library("basics.lib");
ma = library("maths.lib");
si = library ("signals.lib");

tanh(x) = (exp(2*x)-1)/(exp(2*x)+1);

drive = hslider("drive", 1.0, 1., 1000.0, 0.00001):si.smoo;
gain = hslider("gain", 1.0, 1., 1000.0, 0.00001):si.smoo;

process = _ *drive : tanh : _ /drive*gain;