declare filename "parabolic_saturator.dsp"; declare name "parabolic_saturator"; // parabolic saturator

ba = library("basics.lib");
ma = library("maths.lib");
si = library ("signals.lib");

parabolic(x) = ba.if(abs(x) : >=(2), ma.signum(x), x*(1-abs(x/4)));

drive = hslider("drive", 1.0, 1., 1000.0, 0.00001):si.smoo;
gain = hslider("gain", 1.0, 1., 1000.0, 0.00001):si.smoo;

process = _ *drive : parabolic : _ /drive*gain;